Summary:	Xerces C++ - XML parser for C++
Summary(pl.UTF-8):	Xerces C++ - analizator składniowy XML-a dla C++
Name:		xerces-c
Version:	3.2.3
Release:	4
License:	Apache v2.0
Group:		Libraries
Source0:	https://downloads.apache.org/xerces/c/3/sources/%{name}-%{version}.tar.xz
# Source0-md5:	3ec27d8e07d1486cb68740bd2806f109
Patch0:		%{name}-iso88592.patch
Patch1:		%{name}-link.patch
URL:		http://xerces.apache.org/xerces-c/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	libicu-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xerces C++ - XML parser for C++.

%description -l pl.UTF-8
Xerces C++ - analizator składniowy XML-a dla C++.

%package devel
Summary:	Header files for xerces-c library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki xerces-c
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel
Requires:	libstdc++-devel

%description devel
Header files for xerces-c library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki xerces-c.

%package static
Summary:	Static xerces-c library
Summary(pl.UTF-8):	Statyczna biblioteka xerces-c
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static xerces-c library.

%description static -l pl.UTF-8
Statyczna biblioteka xerces-c.

%package doc
Summary:	Extensive Xerces C++ documentation
Summary(pl.UTF-8):	Obszerna dokumentacja biblioteki Xerces C++
Group:		Documentation
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description doc
Extensive Xerces C++ documentation.

%description doc -l pl.UTF-8
Obszerna dokumentacja biblioteki Xerces C++.

%package examples
Summary:	Xerces C++ examples
Summary(pl.UTF-8):	Przykłady do biblioteki Xerces C++
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description examples
Xerces C++ examples.

%description examples -l pl.UTF-8
Przykłady do biblioteki Xerces C++.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-pretty-make \
	--disable-silent-rules \
%ifnarch pentium4 %{x8664} x32
	--disable-sse2
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libxerces-c.la

find samples -name .deps | xargs -r rm -rf
find samples -name '*.o' -o -name .dirstamp | xargs rm -f
cp -a samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a doc/html/* $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CREDITS LICENSE NOTICE
%attr(755,root,root) %{_libdir}/libxerces-c-3.2.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxerces-c.so
%{_includedir}/xercesc
%{_pkgconfigdir}/xerces-c.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libxerces-c.a

%files doc
%defattr(644,root,root,755)
%{_docdir}/%{name}-doc-%{version}

%files examples
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/CreateDOMDocument
%attr(755,root,root) %{_bindir}/DOMCount
%attr(755,root,root) %{_bindir}/DOMPrint
%attr(755,root,root) %{_bindir}/EnumVal
%attr(755,root,root) %{_bindir}/MemParse
%attr(755,root,root) %{_bindir}/PParse
%attr(755,root,root) %{_bindir}/PSVIWriter
%attr(755,root,root) %{_bindir}/Redirect
%attr(755,root,root) %{_bindir}/SAX2Count
%attr(755,root,root) %{_bindir}/SAX2Print
%attr(755,root,root) %{_bindir}/SAXCount
%attr(755,root,root) %{_bindir}/SAXPrint
%attr(755,root,root) %{_bindir}/SCMPrint
%attr(755,root,root) %{_bindir}/SEnumVal
%attr(755,root,root) %{_bindir}/StdInParse
%attr(755,root,root) %{_bindir}/XInclude
%{_examplesdir}/%{name}-%{version}
%changelog
* Fri Jun 03 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xerces-c.git;a=log;h=master

* Fri Jun 03 2022 Jan Palus <atler@pld-linux.org> c4db518
- icu rebuild

* Sat Jan 15 2022 Jan Palus <atler@pld-linux.org> 6c7551b
- icu rebuild

* Tue Aug 10 2021 Jan Palus <atler@pld-linux.org> c1f5940
- icu rebuild

* Tue Aug 10 2021 Jan Palus <atler@pld-linux.org> 03438fc
- rediff patch

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 94da829
- unconditional noarch subpackages

* Tue Nov 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 408b826
- updated to 3.2.3
- drop .la file
- noarch -doc subpackage

* Wed Jul 01 2020 Jan Palus <atler@pld-linux.org> 54e311c
- icu 67 rebuild
- release 4 (by relup.sh)

* Sun Oct 06 2019 Jan Rękorajski <baggins@pld-linux.org> b9aa7e8
- rebuild with icu 65.1
- release 3 (by relup.sh)

* Sat Apr 13 2019 Jakub Bogusz <qboosh@pld-linux.org> c453474
- release 2 (rebuild with icu 64), enable sse2 on x32

* Wed Dec 26 2018 Jakub Bogusz <qboosh@pld-linux.org> 3ce8389
- updated to 3.2.2

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 221b900
- up to 3.2.0

* Sun Apr 23 2017 Jan Rękorajski <baggins@pld-linux.org> 307de89
- release 4 (by relup.sh)

* Sat Mar 11 2017 Jakub Bogusz <qboosh@pld-linux.org> 475077e
- type fix in iso88592 patch (fixes build with gcc 6); release 3

* Fri Mar 10 2017 Jan Rękorajski <baggins@pld-linux.org> c78eaa6
- rebuild with icu 58.2
- release 2 (by relup.sh)

* Thu Aug 04 2016 Jakub Bogusz <qboosh@pld-linux.org> 8cb5a4e
- updated to 3.1.4

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> be0f464
- icu-57.1 rebuild
- release 2 (by relup.sh)

* Sat May 14 2016 Jakub Bogusz <qboosh@pld-linux.org> 0ddab47
- BR: libicu-devel (for ICU msgloader)

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 0da7eea
- updated to 3.1.3

* Fri Jan 29 2016 Jakub Bogusz <qboosh@pld-linux.org> c4e3a71
- updated to 3.1.2

* Wed Nov 18 2015 Jan Rękorajski <baggins@pld-linux.org> df3d632
- release 6 (by relup.sh)

